// Let's apply grey color to the 2D matrix
// and meanwhile normalize it.

void colorScheme() {

  // use maxBookValue to minimize the scale difference between books and CDs.
  maxBookValue = 21;
  
  // Draw 2D Matrix with color and normalization
  for (int i=0; i<65; i++) {
    
    // the width of each cell is related to the data value
    cellWidth1 = map(dataMatrix[i][0], minValue, maxValue, 0, 200);
    cellWidth2 = map(dataMatrix[i][1], minValue, maxBookValue, 0, 200); 
    
    float x = (2-float(i)/76)*width/3;
    float y = constantVerticalMargin + cellHeight * i; 
    float gap = 5;
    
    // apply color with mapping
    fill(map(cellWidth1, 0, 200, 255, 0));
    rect(x-cellWidth1-gap, y, cellWidth1, 0.3*cellHeight);
    
    fill(map(cellWidth2, 0, 200, 255, 0));
    rect(x+gap, y, cellWidth2, 0.3*cellHeight);

  }
  for (int i=65; i<114; i++) {
    
    // the width of each cell is related to the data value
    cellWidth1 = map(dataMatrix[i][0], minValue, maxValue, 0, 200);
    cellWidth2 = map(dataMatrix[i][1], minValue, maxBookValue, 0, 200); 
    
    float x = (2-float(i)/76)*width/3 + TitleWidth;
    float y = constantVerticalMargin + cellHeight * i+TitleHeight; 
    float gap = 5;
    
    // apply color with mapping
    fill(map(cellWidth1, 0, 200, 255, 0));
    rect(x-cellWidth1-gap, y, cellWidth1, 0.3*cellHeight);
    
    fill(map(cellWidth2, 0, 200, 255, 0));
    rect(x+gap, y, cellWidth2, 0.3*cellHeight);
  }
}