// Let's draw a ruler!
// This part is used to draw a timeline 
// start from 2005-08 end at 2015-01

void drawRuler() {
  stroke(0);
  strokeWeight(0.4);
  fill(0);
  
  // draw a long vertical line
  line(460, 0, 460, height);

  for (int i = 0; i<65; i++) {
      float y = constantVerticalMargin + cellHeight * i; 
    
    // draw a longer horizontal line for each year
    if ((i+8)%12 == 0 ) {
      line(453, y, 460, y);
      
      // add year(label) to longer lines
      textAlign(CENTER, TOP);
      textFont(labelFont, 8);
      pushMatrix();
      translate(465, y);
      rotate(- PI/2.0);
      textSize(8);
      text(str(2000+(i+8)/12+5), 0, 0);
      popMatrix();
      
      // draw short horizontal lines for each month
    } else line(457, y, 460, y);
  }
  
  // the title seperate the ruler into 2 parts
  for (int i = 65; i<114; i++) {
    float y = constantVerticalMargin + cellHeight * i + TitleHeight; 
    if ((i+8)%12 == 0 ) {
      // draw year lines
      line(453, y, 460, y);
      
      // year label
      textAlign(CENTER, TOP);
      textFont(labelFont, 8);
      pushMatrix();
      translate(465, y);
      rotate(- PI/2.0);
      text(str(2000+(i+8)/12+5), 0, 0);
      popMatrix();
      
      // draw month lines
    } else  line(457, y, 460, y);
  }
  
  // The stroke is pretty wired, it just cannot turn down.
  noStroke(); 
}